/*
  ______   ______   _    _  _        _  _     
 (_____ \ (_____ \ | |  / )| |      (_)| |    
  _____) ) _____) )| | / / | |       _ | | _  
 (_____ ( |  ____/ | |< <  | |      | || || \ 
       | || |      | | \ \ | |_____ | || |_) )
       |_||_|      |_|  \_)|_______)|_||____/ 
                                              

                      - Version 0.1 -
                                             RedKod Team
                                           www.redkod.com
Coder: R-e-D
Mail : r-e-d@redkod.com

Packets forging library designed for NT System.
Copyright (C) 2002 R-e-D

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

*/

#ifdef RPKLIB_EXPORTS
#define RPKLIB_API __declspec(dllexport)
#else
#define RPKLIB_API __declspec(dllimport)
#endif

RPKLIB_API int InitWinsock(void);
RPKLIB_API SOCKET InitSocket(void);
RPKLIB_API int SendIcmpPacket(int Socket, char *saddr, char *daddr, unsigned char type, unsigned char code);
RPKLIB_API int SendUdpPacket(int Socket, char *saddr, int sport, char *daddr, int dport, char *data);
RPKLIB_API int SendTcpPacket(int Socket, unsigned long saddr, unsigned long daddr, unsigned short sport, 
			     unsigned short dport,	 unsigned long sequence, unsigned long ack_num,
			     unsigned char tcpflags, unsigned short windowsize);
unsigned short in_cksum (u_short *addr, int len);
